astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Units and Quantities (`astropy.units`) »
- UnrecognizedUnit

# UnrecognizedUnit

class `astropy.units.core.``UnrecognizedUnit`(st)

  Bases: `astropy.units.core.IrreducibleUnit`

  A unit that did not parse correctly. This allows for roundtripping it as a string, but no unit operations actually work on it.

  Parameters:

  st : str

  > The name of the unit.

  Methods Summary

  `get_converter`(other[, equivalencies]) |
  `get_format_name`(format) |
  `is_equivalent`(other[, equivalencies]) |
  `is_unity`() |
  `to_string`([format]) |

  Methods Documentation

  `get_converter`(other, equivalencies=None)
  `get_format_name`(format)
  `is_equivalent`(other, equivalencies=None)
  `is_unity`()
  `to_string`(format=u'generic')